package com.keao.edu.user.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(exam_manual_ledger):
 */
public class ExamManualLedger {

	/**  */
	private Long id;
	
	/**  */
	private Integer examinationBasicId;
	
	/** 转账方向（收/支） */
	private String transDirection;
	
	/** 交易金额 */
	private java.math.BigDecimal amount;
	
	/** 交易时间 */
	private java.util.Date transTime;
	
	/**  */
	private String memo;
	
	/** 操作人编号 */
	private Integer operatorUserId;

	private String tenantId;
	
	/**  */
	private java.util.Date createTime;
	
	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setExaminationBasicId(Integer examinationBasicId){
		this.examinationBasicId = examinationBasicId;
	}
	
	public Integer getExaminationBasicId(){
		return this.examinationBasicId;
	}
			
	public void setTransDirection(String transDirection){
		this.transDirection = transDirection;
	}
	
	public String getTransDirection(){
		return this.transDirection;
	}
			
	public void setAmount(java.math.BigDecimal amount){
		this.amount = amount;
	}
	
	public java.math.BigDecimal getAmount(){
		return this.amount;
	}
			
	public void setTransTime(java.util.Date transTime){
		this.transTime = transTime;
	}
	
	public java.util.Date getTransTime(){
		return this.transTime;
	}
			
	public void setMemo(String memo){
		this.memo = memo;
	}
	
	public String getMemo(){
		return this.memo;
	}
			
	public void setOperatorUserId(Integer operatorUserId){
		this.operatorUserId = operatorUserId;
	}
	
	public Integer getOperatorUserId(){
		return this.operatorUserId;
	}

	public String getTenantId() {
		return tenantId;
	}

	public void setTenantId(String tenantId) {
		this.tenantId = tenantId;
	}

	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
